Name: kalgebra
Summary: Algebraic graphing calculator for KDE
Version: 4.7.0
Release: 1%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/kalgebra/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkdeedu-devel
BuildRequires: mesa-libGL-devel
BuildRequires: readline-devel
BuildRequires: soprano-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

%description
KAlgebra is a algebraic graphing calculator with support for 3D 
graphing and MathML markup language.

This package is part of the KDE education module.

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Conflicts: kdeedu4-libs < 4.6.50

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Conflicts: kdeedu4-devel < 4.6.50

%description devel
Header files for developing applications using %{name}.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/calgebra
%{_bindir}/kalgebra
%{_bindir}/kalgebramobile
%{_libdir}/kde4/*.so
%{_datadir}/applications/kde4/kalgebra*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/kalgebra
%{_datadir}/kde4/apps/katepart/*
%{_datadir}/kde4/services/kalgebraplasmoid.desktop
%{_datadir}/kde4/servicetypes/kalgebrascript.desktop
%doc %{_docdir}/HTML/en/kalgebra/

%files libs
%defattr(-,root,root)
%{_libdir}/libanalitza*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libanalitza*.so

%changelog
* Thu Sep  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

